6.0.0-git
2019-06-18

[#2379] Add support for handling binary objects
Summary Add support for handling binary objects
Queue Turba
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester kevin_myer (at) iu13 (dot) org
Created 2005-08-04 (5066 days ago)
Due
Updated 2012-04-02 (2633 days ago)
Assigned
Resolved
Milestone
Patch No

History
2012-04-02 09:10:58 kd (at) tu-cottbus (dot) de Comment #4
New Attachment: _getResults.php Download
Reply to this comment
General support has been added to Turba, but not for the LDAP driver 
yet. A patch for LDAP would be nice.
ok,
here is a replacement for the _getResults method in Ldap.php.
It replaces the main-loop by an first_entry - next_entry loop.
The tricky part is how to tell, whether or not an attribute has to be 
retrieved
by ldap_get_values_len (is binary). This is done in 
_isBinaryValue($atrribute).
If schema-checking is available, the 'certificate' and 'jpeg' syntaxes 
are selected.
Otherwise an additional server configuration option is needed.
e.g. 'binary' => array('jpegPhoto','userCertificate;binary').




2008-08-11 16:21:41 Jan Schneider Comment #3 Reply to this comment
General support has been added to Turba, but not for the LDAP driver 
yet. A patch for LDAP would be nice.
2008-08-11 16:20:28 Jan Schneider Deleted Original Message
 
2006-06-30 12:17:51 andreas (at) altroot (dot) de Comment #2
New Attachment: ldap.php
Reply to this comment
I've modified the ldap.php driver from Turba 2.1.1 since I need to 
store binary encoded certificates in our directory. My version uses 
ldap_get_values_len() instead of ldap_get_entries() to fetch binary 
values. The attribute name "usercertificate;binary" is hard coded. 
Certificates are converted from and to Base64. Several places in the 
code are still marked with FIXME. The driver works for us. I am going 
to fix the remaining issues but currently I have to work on other 
things.
2005-08-04 07:49:26 Jan Schneider State ⇒ Accepted
 
2005-08-04 01:50:37 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Add support for handling binary objects
Queue ⇒ Turba
Reply to this comment
It would be nice if Turba could handle the display of binary objects.   
Immediate use, for instance, would be display of user pictures, such 
as a jpegPhoto attribute stored in LDAP, but other binary objects 
exist as well (crypto-related items, for instance).

Saved Queries